<?php

namespace ModulesGarden\ProxmoxAddon\Core\UI\Traits;

/**
 * View Breadcrumb related functions
 *
 * @author Sławomir Miśkowicz <slawomir@modulesgarden.com>
 */
trait ViewBreadcrumb
{
    protected $breadcrumbs = null;

    public function initBreadcrumbs()
    {
        $this->breadcrumbs = new \ModulesGarden\ProxmoxAddon\Core\UI\Helpers\BreadcrumbsHandler();
    }

    public function getBreadcrumbs()
    {
        return $this->breadcrumbs->getBreadcrumbs();
    }
}
